> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve onboarding right-to-work case for a worker

GET https://api.letsdeel.com/rest/immigration/workers/{worker_id}/onboarding-case

Returns the right-to-work onboarding case for a worker, including any associated documents; returns an empty response if no open case exists. When a worker is associated with multiple contracts, supply `contract_id` to target a specific contract.

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/endpoints/immigration/get-worker-onboarding-case

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `worker_id` (string, required) — The hris profile oid (public id) of the worker.

### Query parameters

- `contract_id` (string, optional) — Filters the worker's onboarding case to a specific contract. If the worker has multiple contracts and this parameter is omitted, the response may return a case from any associated contract; the response includes contract.id to indicate which contract was used. Provide this parameter for deterministic results.

## Response

### 200

Successful operation.

- `data` (ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Case not found.

- `errors` (list of ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 500 Internal Server Error

Operation failed.

- `errors` (list of ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — Unique identifier of immigration case.
- `status` (enum, optional) — Status of the immigration case.
  - Allowed values: `OPEN`, `CLOSED`, `ON_HOLD`
- `process` (ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataProcess, optional) — The current active process
- `contract` (ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataContract, optional) — The contract associated with the returned immigration case
- `applicant` (ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataApplicant, optional, nullable) — The employee for which this Right to Work case has been created for
- `case_type` (enum, optional) — Type of the case. It will always be IMMIGRATION_DOCUMENT_REVIEW for this endpoint.
  - Allowed values: `IMMIGRATION_DOCUMENT_REVIEW`
- `documents` (list of ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataDocumentsItems, optional) — A list of documents associated to the immigration case
- `visa_type` (string, optional, nullable) — The type of the visa.
- `created_at` (string, optional) — Creation date of the immigration case.
- `updated_at` (string, optional) — Last activity on the immigration case.
- `country_code` (string, optional) — The country of the immigration case.
- `estimated_completion_date` (string, optional, nullable) — Estimated completion date of the immigration case.

### ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataProcess

The current active process

- `id` (string, optional) — Unique identifier of the current active process.
- `name` (enum, optional) — Name of the current active process.
  - Allowed values: `WORK_AUTHORIZATION_VERIFICATION`
- `status` (enum, optional) — Status of the current active process.
  - Allowed values: `CANCELLED`, `AWAITING_DOCUMENTS`, `IN_REVIEW`, `APPROVED`, `REJECTED`
- `rejection_note` (string, optional) — A detailed description of why the case was rejected. Only available if the case status is REJECTED.
- `rejection_reason` (string, optional) — The reason why the case was rejected. Only available if the case status is REJECTED.

### ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataContract

The contract associated with the returned immigration case

- `id` (string, optional, nullable) — Id of the contract associated with the immigration case

### ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataApplicant

The employee for which this Right to Work case has been created for

- `id` (string, optional) — Unique identifier of the applicant profile id.
- `external_id` (string, optional, nullable) — External identifier of the applicant (from partner system or third party).

### ImmigrationWorkersWorkerIdOnboardingCaseGetResponsesContentApplicationJsonSchemaDataDocumentsItems

- `id` (string, optional) — Unique identifier of the document.
- `status` (enum, optional) — Status of the document.
  - Allowed values: `IN_REVIEW`, `ACTIVE`, `EXPIRED`, `EXPIRING`
- `document_type` (string, optional, nullable) — The type of the document. Represents the visa type for right to work cases.
- `expiration_date` (string, optional, nullable) — Expiry date of the document. If document does not expire, it will be null

## Examples

**Response**

```json
{
  "data": {
    "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
    "status": "OPEN",
    "process": {
      "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
      "name": "WORK_AUTHORIZATION_VERIFICATION",
      "status": "IN_REVIEW",
      "rejection_note": "We couldn't accept the document because the file or photo that has been submitted cannot be read fully.",
      "rejection_reason": "Poor image quality"
    },
    "contract": {
      "id": "359pr8y"
    },
    "applicant": {
      "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
      "external_id": "123456"
    },
    "case_type": "IMMIGRATION_DOCUMENT_REVIEW",
    "documents": [
      {
        "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
        "status": "EXPIRING",
        "document_type": "Eu blue card",
        "expiration_date": "2023-10-31T13:45:30Z"
      }
    ],
    "visa_type": "Eu blue card",
    "created_at": "2023-10-31T13:45:30Z",
    "updated_at": "2023-10-31T13:45:30Z",
    "country_code": "DE",
    "estimated_completion_date": "2023-10-31T13:45:30Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case"

querystring = {"contract_id":"359pr8y"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case?contract_id=359pr8y';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case?contract_id=359pr8y"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case?contract_id=359pr8y")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case?contract_id=359pr8y")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case?contract_id=359pr8y', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case?contract_id=359pr8y");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/immigration/workers/a6fb5c89-5abd-45d1-afc1-7e98d550eb71/onboarding-case?contract_id=359pr8y")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```